//****************************************************
//*__________________jttcote_Shader__________________*
//****************************************************

//LOGO

textures/00jttcote/uj-cmm
{
    qer_editorimage textures/00jttcote/uj-cmm.jpg
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none  
    
    {
                animmap 3 textures/00jttcote/uj-cmm.jpg textures/00jttcote/uj-cmm.jpg textures/00jttcote/uj-cmm.jpg textures/00jttcote/uj-cmm.jpg textures/00jttcote/uj-cmm.jpg textures/00jttcote/uj-cmm.jpg textures/00jttcote/uj-cmm.jpg textures/00jttcote/uj-cmm.jpg textures/00jttcote/uj-cmm.jpg textures/00jttcote/uj-cmm.jpg
                blendfunc add
                rgbGen wave noise 0.5 0.5 0 20
   }

 
  
}

//LOGO THANKS

textures/00jttcote/uj-cmm_thanks
{
    qer_editorimage textures/00jttcote/uj-cmm_thanks.jpg
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none  
    
    {
                animmap 3 textures/00jttcote/uj-cmm_thanks.jpg textures/00jttcote/uj-cmm_thanks.jpg textures/00jttcote/uj-cmm_thanks.jpg textures/00jttcote/uj-cmm_thanks.jpg textures/00jttcote/uj-cmm_thanks.jpg textures/00jttcote/uj-cmm_thanks.jpg textures/00jttcote/uj-cmm_thanks.jpg textures/00jttcote/uj-cmm_thanks.jpg textures/00jttcote/uj-cmm_thanks.jpg textures/00jttcote/uj-cmm_thanks.jpg
                blendfunc add
                rgbGen wave noise 0.5 0.5 0 20
   }

 
  
}


//****************************************************
//*___________________Diamonds_______________________*
//****************************************************

//Clear

textures/00jttcote/diamond_Teal
{
qer_editorimage textures/00jttcote/diamond_Teal.tga
qer_trans 0.5
surfaceparm trans
surfaceparm glass
surfaceparm nodamage
cull none
{
map textures/00jttcote/diamond_Teal.tga
blendfunc GL_ONE GL_ONE
rgbGen const ( 0.1 0.1 0.1 )
}
}

//Redish

textures/00jttcote/diamond_Red
{
qer_editorimage textures/00jttcote/diamond_Red.tga
qer_trans 0.5
surfaceparm trans
surfaceparm glass
surfaceparm nodamage
cull none
{
map textures/00jttcote/diamond_Red.tga
blendfunc GL_ONE GL_ONE
rgbGen const ( 0.1 0.1 0.1 )
}
}

//Blue

textures/00jttcote/diamond_Blue
{
qer_editorimage textures/00jttcote/diamond_Blue.tga
qer_trans 0.5
surfaceparm trans
surfaceparm glass
surfaceparm nodamage
cull none
{
map textures/00jttcote/diamond_Blue.tga
blendfunc GL_ONE GL_ONE
rgbGen const ( 0.1 0.1 0.1 )
}
}


//****************************************************
//*______________________Icy_________________________*
//****************************************************

textures/00jttcote/caveWall_icy_1:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/00jttcote/caveWall_icy_2
{
    q3map_lightImage textures/00jttcote/caveWall_icy_2.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/00jttcote/caveWall_icy_2.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/00jttcote/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}


//****************************************************
//*___________________No_Damage______________________*
//****************************************************

textures/00jttcote/caveWall_1:q3map
{
	surfaceparm nodamage
}

textures/00jttcote/smaller-rock:q3map
{
	surfaceparm nodamage
}

textures/00jttcote/caveWall_2:q3map
{
	surfaceparm nodamage
}

textures/00jttcote/black:q3map
{
	surfaceparm nodamage
}

textures/00jttcote/caveFloor_thin:q3map
{
	surfaceparm nodamage
}

textures/00jttcote/bark_1:q3map
{
	surfaceparm nodamage
}

textures/00jttcote/oilyrag:q3map
{
	surfaceparm nodamage
	surfaceparm nonsolid
}

textures/00jttcote/torchHandle_1:q3map
{
	surfaceparm nodamage
	surfaceparm nonsolid
}

textures/00jttcote/3d_grass_texture_01:q3map
{
	surfaceparm nodamage
}

textures/00jttcote/sand_1:q3map
{
	surfaceparm nodamage
}


//****************************************************
//*_____________________No_Walljump__________________*
//****************************************************

textures/00jttcote/bark_1_icy:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/00jttcote/sand_1_icy:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/00jttcote/smaller-rock-icy:q3map
{
	
	surfaceparm nodamage
	surfaceparm slick
}

//****************************************************
//*_____________________Glass________________________*
//****************************************************

textures/00glass/darkglass
{
	cull none
	qer_trans 0.5
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nodamage
	{
		map textures/00glass/darkglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbgen vertex
	}
}

//****************************************************
//*_____________________Water________________________*
//****************************************************



//-------
// WATER CAULK
//-------

textures/00jttcote/watercaulk
{
	qer_editorimage textures/00jttcote/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

//****************************************************
//*_____________________Grate________________________*
//****************************************************

textures/00walls/will_fence_chainlink
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/00walls/will_fence_chainlink.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/00walls/will_fence_chainlink_easy
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/00walls/will_fence_chainlink_easy.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//****************************************************
//*_____________________Lights_______________________*
//****************************************************

//****************************************************

//****************************************************
//*________________Walkthrough wall__________________*
//****************************************************

textures/00jttcote/caveWall_1_noclip:q3map
{
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
}

//****************************************************

//****************************************************
//*_______________________Ladder_____________________*
//****************************************************

textures/00opex/ladder:q3map
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	   surfaceparm nodamage
	  surfaceparm trans
}

//****************************************************



